copy_user:
  methods:    [COPY]
  path:       /users/{id}.{_format}
  controller: ::copyUserAction

propfind_user_props:
  methods:    [PROPFIND]
  path:       /users/{id}/props/{property}.{_format}
  controller: ::propfindUserPropsAction

proppatch_user_props:
  methods:    [PROPPATCH]
  path:       /users/{id}/props/{property}.{_format}
  controller: ::proppatchUserPropsAction

move_user:
  methods:    [MOVE]
  path:       /users/{id}.{_format}
  controller: ::moveUserAction

mkcol_users:
  methods:    [MKCOL]
  path:       /users.{_format}
  controller: ::mkcolUsersAction

lock_user:
  methods:    [LOCK]
  path:       /users/{slug}.{_format}
  controller: ::lockUserAction

unlock_user:
  methods:    [UNLOCK]
  path:       /users/{slug}.{_format}
  controller: ::unlockUserAction

get_users:
  path:      /users.{_format}
  controller:   ::getUsersAction
  methods: [GET]

get_user:
  path:      /users/{slug}.{_format}
  controller:   ::getUserAction
  requirements: {slug: '[a-z]+'}
  methods: [GET]

patch_users:
  path:      /users.{_format}
  controller:   ::patchUsersAction
  methods: [PATCH]

patch_user:
  path:      /users/{slug}.{_format}
  controller:   ::patchUserAction
  requirements: {slug: '[a-z]+'}
  methods: [PATCH]

get_user_comment:
  path:      /users/{slug}/comments/{id}.{_format}
  controller:   ::getUserCommentAction
  requirements: {slug: '[a-z]+', id: '\d+'}
  methods: [GET]

get_user_post:
  path:      /users/{slug}/posts/{id}.{_format}
  controller:   ::getUserPostAction
  options:
    expose: true
  requirements: {slug: '[a-z]+', id: '\d+'}
  methods: [GET]

rate_user:
  path:      /users/{slug}/rate.{_format}
  controller:   ::rateUserAction
  requirements: {slug: '[a-z]+'}
  methods: [POST]

rate_user_comment:
  path:      /users/{slug}/rate_comment/{id}.{_format}
  controller:   ::rateUserCommentAction
  requirements: {slug: '[a-z]+', id: '\d+'}
  methods: [PATCH, POST]

bget_user:
  path:      /users/{slug}/bget.{_format}
  controller:   ::bgetUserAction
  methods: [GET]

bpost_user:
  path:      /users/{slug}/bpost.{_format}
  controller:   ::bpostUserAction
  methods: [POST]

bput_user:
  path:      /users/{slug}/bput.{_format}
  controller:   ::bputUserAction
  methods: [PUT]

bdel_user:
  path:      /users/{slug}/bdel.{_format}
  controller:   ::bdelUserAction
  methods: [DELETE]

bhead_user:
  path:      /users/{slug}/bhead.{_format}
  controller:   ::bheadUserAction
  methods: [HEAD]


multipleget_users_a_get_method:
  path:      /users2.{_format}
  controller:   ::multiplegetUsersAction
  methods: [GET]
multipleget_users_an_other_get_method:
  path:      /users3.{_format}
  controller:   ::multiplegetUsersAction
  methods: [GET]
multipleget_users_a_post_method:
  path:      /users4.{_format}
  controller:   ::multiplegetUsersAction
  methods: [POST]
multipleget_users_a_link_method:
  path:      /users1.{_format}
  controller:   ::multiplegetUsersAction
  methods: [LINK]

post_users_foo:
  path:      /users1/{foo}.{_format}
  controller:   ::multiplepostUsersAction
  methods: [POST]
post_users_bar:
  path:      /users2/{foo}.{_format}
  controller:   ::multiplepostUsersAction
  methods: [POST]
